summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.am10
-rw-r--r--Makefile.in5
-rwxr-xr-xconfigure64
-rw-r--r--configure.ac2
4 files changed, 56 insertions, 25 deletions
diff --git a/Makefile.am b/Makefile.am
index 60a69d9..7983955 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,3 +1,11 @@
-SUBDIRS = libltdl src
+DIST_SUBDIRS = libltdl src
+
+SUBDIRS =
+
+if INCLUDED_LTDL
+SUBDIRS += libltdl
+endif
+
+SUBDIRS += src
ACLOCAL_AMFLAGS = -I m4
diff --git a/Makefile.in b/Makefile.in
index c8cbfd2..04b7d86 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -31,6 +31,7 @@ PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
+@INCLUDED_LTDL_TRUE@am__append_1 = libltdl
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
$(srcdir)/Makefile.in $(srcdir)/config.h.in \
@@ -63,7 +64,6 @@ RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
-DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
@@ -212,7 +212,8 @@ sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
-SUBDIRS = libltdl src
+DIST_SUBDIRS = libltdl src
+SUBDIRS = $(am__append_1) src
ACLOCAL_AMFLAGS = -I m4
all: config.h
$(MAKE) $(AM_MAKEFLAGS) all-recursive
diff --git a/configure b/configure
index b68691c..ba31f0b 100755
--- a/configure
+++ b/configure
@@ -896,6 +896,8 @@ CONVENIENCE_LTDL_TRUE
CONVENIENCE_LTDL_FALSE
LT_CONFIG_H
LTDLOPEN
+INCLUDED_LTDL_TRUE
+INCLUDED_LTDL_FALSE
PKG_CONFIG
GnuTLS_CFLAGS
GnuTLS_LIBS
@@ -5171,13 +5173,13 @@ if test "${lt_cv_nm_interface+set}" = set; then
else
lt_cv_nm_interface="BSD nm"
echo "int some_variable = 0;" > conftest.$ac_ext
- (eval echo "\"\$as_me:5174: $ac_compile\"" >&5)
+ (eval echo "\"\$as_me:5176: $ac_compile\"" >&5)
(eval "$ac_compile" 2>conftest.err)
cat conftest.err >&5
- (eval echo "\"\$as_me:5177: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
+ (eval echo "\"\$as_me:5179: $NM \\\"conftest.$ac_objext\\\"\"" >&5)
(eval "$NM \"conftest.$ac_objext\"" 2>conftest.err > conftest.out)
cat conftest.err >&5
- (eval echo "\"\$as_me:5180: output\"" >&5)
+ (eval echo "\"\$as_me:5182: output\"" >&5)
cat conftest.out >&5
if $GREP 'External.*some_variable' conftest.out > /dev/null; then
lt_cv_nm_interface="MS dumpbin"
@@ -6277,7 +6279,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 6280 "configure"' > conftest.$ac_ext
+ echo '#line 6282 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -8602,11 +8604,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8605: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8607: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8609: \$? = $ac_status" >&5
+ echo "$as_me:8611: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -8926,11 +8928,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8929: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8931: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8933: \$? = $ac_status" >&5
+ echo "$as_me:8935: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -9031,11 +9033,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9034: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9036: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9038: \$? = $ac_status" >&5
+ echo "$as_me:9040: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -9086,11 +9088,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:9089: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:9091: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:9093: \$? = $ac_status" >&5
+ echo "$as_me:9095: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -11847,7 +11849,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 11850 "configure"
+#line 11852 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -11947,7 +11949,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 11950 "configure"
+#line 11952 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -13950,11 +13952,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13953: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13955: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13957: \$? = $ac_status" >&5
+ echo "$as_me:13959: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14049,11 +14051,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14052: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14054: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14056: \$? = $ac_status" >&5
+ echo "$as_me:14058: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14101,11 +14103,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14104: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14106: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14108: \$? = $ac_status" >&5
+ echo "$as_me:14110: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -15984,7 +15986,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 15987 "configure"
+#line 15989 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -17150,6 +17152,15 @@ LTDLOPEN=`eval "\\$ECHO \"$libname_spec\""`
+ if test "x$with_included_ltdl" = xyes; then
+ INCLUDED_LTDL_TRUE=
+ INCLUDED_LTDL_FALSE='#'
+else
+ INCLUDED_LTDL_TRUE='#'
+ INCLUDED_LTDL_FALSE=
+fi
+
+
# Checks for libraries.
@@ -20026,6 +20037,13 @@ LT_CONFIG_H=config.h
ltdl_LTLIBOBJS=$_ltdl_ltlibobjs
+if test -z "${INCLUDED_LTDL_TRUE}" && test -z "${INCLUDED_LTDL_FALSE}"; then
+ { { echo "$as_me:$LINENO: error: conditional \"INCLUDED_LTDL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"INCLUDED_LTDL\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+ { (exit 1); exit 1; }; }
+fi
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
@@ -21098,6 +21116,8 @@ CONVENIENCE_LTDL_TRUE!$CONVENIENCE_LTDL_TRUE$ac_delim
CONVENIENCE_LTDL_FALSE!$CONVENIENCE_LTDL_FALSE$ac_delim
LT_CONFIG_H!$LT_CONFIG_H$ac_delim
LTDLOPEN!$LTDLOPEN$ac_delim
+INCLUDED_LTDL_TRUE!$INCLUDED_LTDL_TRUE$ac_delim
+INCLUDED_LTDL_FALSE!$INCLUDED_LTDL_FALSE$ac_delim
PKG_CONFIG!$PKG_CONFIG$ac_delim
GnuTLS_CFLAGS!$GnuTLS_CFLAGS$ac_delim
GnuTLS_LIBS!$GnuTLS_LIBS$ac_delim
@@ -21111,7 +21131,7 @@ ltdl_LIBOBJS!$ltdl_LIBOBJS$ac_delim
ltdl_LTLIBOBJS!$ltdl_LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 44; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 46; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/configure.ac b/configure.ac
index c7c69c6..e6775f8 100644
--- a/configure.ac
+++ b/configure.ac
@@ -25,6 +25,8 @@ LT_INIT([dlopen])
LTDL_INIT([recursive])
AC_SUBST(LIBLTDL)
+AM_CONDITIONAL(INCLUDED_LTDL, test "x$with_included_ltdl" = xyes)
+
# Checks for libraries.
PKG_CHECK_MODULES(GnuTLS, gnutls, , AC_MSG_ERROR(Test for GnuTLS failed.))
PKG_CHECK_MODULES(sigc, sigc++-2.0, , AC_MSG_ERROR(Test for SigC++ 2.0 failed.))